## python-os-apply-config 0.1.14

=== requirements.txt ===
pbr>=0.6,<1.0

anyjson>=0.3.3
argparse
pystache

=== debian/changelog ===
python-os-apply-config (0.1.14-2+6~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Fixed typo in description.
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:44:59 +0000

python-os-apply-config (0.1.14-1) unstable; urgency=medium

  * New upstream release.
  * Added missing build-depends on subunit and review other (build)-depends
    (Closes: #743089).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2014 13:24:58 +0800

python-os-apply-config (0.1.13-1) unstable; urgency=low

  * Initial release. (Closes: #725089)

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 01:54:36 +0800

=== debian/control ===
Source: python-os-apply-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-fixtures (>= 0.3.14),
                     python-pystache,
                     python-sphinx,
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>=0.0.18)
Standards-Version: 3.9.4
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-os-apply-config?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-os-apply-config -b debian/newton
Homepage: https://github.com/openstack/os-apply-config

Package: python-os-apply-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson (>= 0.3.3),
         python-pbr (>= 0.6),
         python-pystache,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Creates config files out of cloud metadata
 os-apply-config apply configuration out of the cloud metadata (JSON) that it
 receives from a metadata server.
 .
 It turns metadata from one or more JSON files like this:
 .
  {"keystone":
   {"database":
    {"host": "127.0.0.1", "user": "keystone", "password": "foobar"}
   }
  }
 .
 into service config files like this:
 .
  [sql]
  connection = mysql://keystone:foobar@127.0.0.1/keystone

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-apply-config.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && set -x && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository

## python-os-apply-config 10.4.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

anyjson>=0.3.3 # BSD
pystache>=0.5.4 # MIT
PyYAML>=3.12 # MIT
six>=1.10.0 # MIT

=== debian/changelog ===
python-os-apply-config (10.4.1-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:51 +0100

python-os-apply-config (10.4.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:45:23 +0200

python-os-apply-config (10.4.1-2) experimental; urgency=medium

  * Add Breaks+Replaces for python-os-apply-config (Closes: #941030).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2019 11:02:00 +0200

python-os-apply-config (10.4.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed typo in description.
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Removed Julien and Mehdi from uploaders (Closes: #928589).
  * New upstream release.
  * Switched to Python 3 (Closes: #937974).
  * Add fix-conf-path-for-tests.patch.
  * Add glance-script.conf-default-to-py3.patch.
  * Do not run failed tests because of path problems.
  * Add dh-python b-d.
  * Fixed d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 May 2019 09:35:22 +0200

=== debian/control ===
Source: python-os-apply-config
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-anyjson,
 python3-fixtures,
 python3-mock,
 python3-pystache,
 python3-sphinx,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-os-apply-config
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-os-apply-config.git
Homepage: https://github.com/openstack/os-apply-config

Package: python3-os-apply-config
Architecture: all
Depends:
 python3-anyjson,
 python3-pbr,
 python3-pystache,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-os-apply-config,
Replaces:
 python-os-apply-config,
Description: Creates config files out of cloud metadata
 os-apply-config apply configuration out of the cloud metadata (JSON) that it
 receives from a metadata server.
 .
 It turns metadata from one or more JSON files like this:
 .
  {"keystone":
   {"database":
    {"host": "127.0.0.1", "user": "keystone", "password": "foobar"}
   }
  }
 .
 into service config files like this:
 .
  [sql]
  connection = mysql://keystone:foobar@127.0.0.1/keystone

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/os-apply-config.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	patch -p1 < debian/test-patch.patch
	PATH=$$PATH:$(CURDIR)debian/tmp/usr/bin pkgos-dh_auto_test --no-py2 'os_apply_config.tests\.(?!(.*test_apply_config\.OSConfigApplierTestCase.*|.*test_collect_config\.OCCTestCase\.test_failed_read.*))'
	patch -p1 -R < debian/test-patch.patch
endif

## python-os-apply-config 11.2.0

=== debian/changelog ===
python-os-apply-config (11.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-mock from b-d-i.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:46:01 +0200

python-os-apply-config (10.4.1-4) unstable; urgency=medium

  * Add missing override_dh_python3 to fix shebang.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 15:14:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Build-Depends-Indep:
  python3-anyjson,
  python3-fixtures,
- python3-mock,
  python3-pystache,
  python3-sphinx,
  python3-stestr,

## python-os-apply-config 12.0.0

=== debian/changelog ===
python-os-apply-config (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:44:57 +0100

python-os-apply-config (11.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:58:26 +0200

python-os-apply-config (11.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-conf-path-for-tests.patch applied upstream.
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 09:21:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,5 @@
 	patch -p1 -R < debian/test-patch.patch
 endif
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## python-os-apply-config 13.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,5 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-anyjson>=0.3.3 # BSD
 pystache>=0.5.4 # MIT
 PyYAML>=3.12 # MIT
-six>=1.10.0 # MIT

=== debian/changelog ===
python-os-apply-config (13.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090549).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:31:56 +0100

python-os-apply-config (13.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:03:12 +0200

python-os-apply-config (13.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-anyjson from (b-)depends.
  * Cleans better.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 09:18:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
- python3-anyjson,
  python3-fixtures,
  python3-pystache,
  python3-sphinx,
@@ -29,7 +28,6 @@
 Package: python3-os-apply-config
 Architecture: all
 Depends:
- python3-anyjson,
  python3-pbr,
  python3-pystache,
  ${misc:Depends},

## python-os-apply-config 14.0.1

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0

pystache>=0.5.4 # MIT
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-os-apply-config (14.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:22:47 +0200

python-os-apply-config (14.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-testscenarios from build-depends.
  * Drop glance-script.conf-default-to-py3.patch applied upstream.
  * Rebased debian/test-patch.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-sphinx,
  python3-stestr,
  python3-subunit,
- python3-testscenarios,
  python3-testtools,
  subunit,
 Standards-Version: 4.1.0

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr os-apply-config.log *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-apply-config os-apply-config-(.*).tar.gz
